/*
Created By:     Kerri Morgan	2007
Modified By:	Zoe Bukovac		12th May 2011
				Modified all functions to work with graphs of variable size.
*/

#ifndef CLIQUE_H
#define CLIQUE_H
#include "graph.h"

#define LEN 4 /* cycles of length less than this are cliques*/

int isClique(int **A, int size, int *Cl);
void traverse(int W[], int visited[], int cur, int **A, int M[], int v1, int size);
void traverse2(int C [], int visited[], int v, int **A, int S[], int R[], int size);
int extendPath(int P[], int start, int finish, int **A, int M[], int size);

#endif
